﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication584
{
    public partial class Form1 : Form
    {
        BindingSource _persons = new BindingSource();

        public Form1()
        {
            InitializeComponent();

            DataTable persons = new DataTable();
            persons.Columns.Add("Name");
            persons.Columns.Add("City");
            persons.Rows.Add(new object[] { "John", "Stuttgart" });
            persons.Rows.Add(new object[] { "Martha", "Berlin" });
            persons.Rows.Add(new object[] { "Daniel", "Hamburg" });

            _persons.DataSource = persons;

            DataTable cities = new DataTable();
            cities.Columns.Add("City");
            cities.Rows.Add(new object[] { "Stuttgart" });
            cities.Rows.Add(new object[] { "Berlin" });
            cities.Rows.Add(new object[] { "Hamburg" });
            cities.Rows.Add(new object[] { "München" });
            cities.Rows.Add(new object[] { "Bremen" });

            cmb_city.DataSource = cities;
            grid_persons.DataSource = _persons;
            this.cmb_city.DataBindings.Add("Text", _persons, "City");

            cmb_city.LimitToList = true;
            cmb_city.AutoCompleteMode = Infragistics.Win.AutoCompleteMode.SuggestAppend;

        }

        private void grid_persons_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns[0].EditorComponent = cmb_city;
        }
    }  

}
